REST API ReferenceDashboard APITeams
Change a team member's role
PATCH
/teams/{id}/members/{memberId}/roleChange role of a member of a team.
Authorization
bearerAuth AuthorizationBearer <token>
User access token issued at sign-in. Sent as
Authorization: Bearer <access-token> unless cookies are used to send
tokens. The /auth/refresh and /auth/signout endpoints expect the
session's refresh token in the same header format instead.
In: header
Path Parameters
id*string
Team's UUID.
Format
uuidmemberId*string
Member's UUID.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/teams/497f6eca-6276-4993-bfeb-53cbbbba6f08/members/497f6eca-6276-4993-bfeb-53cbbbba6f08/role" \ -H "Content-Type: application/json" \ -d '{ "role": "developer" }'{ "ok": "done"}Empty
Empty
Empty
Empty
Empty
Empty
Think this page can be better?
Open an issue